{
  "name": "global-jain-app",
  "version": "1.0.30",
  "author": "Ionic Framework",
  "homepage": "https://ionicframework.com/",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint --fix",
    "e2e": "ng e2e",
    "prodBuild": "ionic build --prod && npx cap sync android && npx cap copy android && npx cap open android",
    "prodBuildIos": "ionic build --prod && npx cap sync ios && npx cap copy ios && npx cap open ios",
    "stagingBuild": "ionic build --configuration=staging && npx cap sync android && npx cap copy android && npx cap open android",
    "stagingBuildIos": "ionic build --configuration=staging && npx cap sync ios && npx cap copy ios && npx cap open ios",
    "prepare": "husky install"
  },
  "private": true,
  "dependencies": {
    "@angular/common": "^16.1.7",
    "@angular/core": "^16.1.7",
    "@angular/forms": "^16.1.7",
    "@angular/platform-browser": "^16.1.7",
    "@angular/platform-browser-dynamic": "^16.1.7",
    "@angular/router": "^16.1.7",
    "@awesome-cordova-plugins/core": "^8.1.0",
    "@awesome-cordova-plugins/file": "^6.7.0",
    "@awesome-cordova-plugins/file-transfer": "^6.7.0",
    "@awesome-cordova-plugins/social-sharing": "^6.8.0",
    "@capacitor-firebase/authentication": "^5.0.1",
    "@capacitor/android": "^6.0.0",
    "@capacitor/app": "^6.0.0",
    "@capacitor/browser": "^6.0.0",
    "@capacitor/camera": "^6.0.0",
    "@capacitor/core": "^6.0.0",
    "@capacitor/device": "^6.0.0",
    "@capacitor/filesystem": "^6.0.0",
    "@capacitor/ios": "^6.0.0",
    "@capacitor/keyboard": "^6.0.0",
    "@capacitor/network": "^6.0.0",
    "@capacitor/push-notifications": "^6.0.0",
    "@capacitor/share": "^6.0.0",
    "@capacitor/splash-screen": "^6.0.0",
    "@capacitor/status-bar": "^6.0.0",
    "@ionic-native/core": "^5.36.0",
    "@ionic-native/crop": "^5.36.0",
    "@ionic/angular": "^7.2.0",
    "@ionic/storage": "^3.0.6",
    "capacitor-share-extension": "^2.0.0",
    "cordova-plugin-crop": "github:vc-rakesh/cordova-plugin-crop",
    "cordova-plugin-x-socialsharing": "^6.0.4",
    "date-fns": "^2.28.0",
    "es6-promise-plugin": "^4.2.2",
    "firebase": "^9.14.0",
    "jetifier": "^2.0.0",
    "rxjs": "^7.5.7",
    "swiper": "^10.0.4",
    "tslib": "^2.2.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^16.1.6",
    "@angular-eslint/builder": "16.1.0",
    "@angular-eslint/eslint-plugin": "16.1.0",
    "@angular-eslint/eslint-plugin-template": "16.1.0",
    "@angular-eslint/schematics": "16.1.0",
    "@angular-eslint/template-parser": "16.1.0",
    "@angular/cli": "^16.1.6",
    "@angular/compiler": "^16.1.7",
    "@angular/compiler-cli": "^16.1.7",
    "@angular/language-service": "^16.1.7",
    "@capacitor/cli": "^6.0.0",
    "@commitlint/cli": "^17.6.7",
    "@commitlint/config-conventional": "^17.6.7",
    "@ionic/angular-toolkit": "^9.0.0",
    "@ionic/cli": "^7.2.0",
    "@types/jasmine": "~3.6.11",
    "@types/jasminewd2": "~2.0.10",
    "@types/node": "^12.20.55",
    "@typescript-eslint/eslint-plugin": "5.62.0",
    "@typescript-eslint/parser": "5.62.0",
    "eslint": "^8.44.0",
    "eslint-plugin-jsdoc": "40.0.0",
    "eslint-plugin-prefer-arrow": "1.2.3",
    "husky": "^8.0.3",
    "jasmine-core": "~3.8.0",
    "jasmine-spec-reporter": "~5.0.2",
    "karma": "^6.3.17",
    "karma-chrome-launcher": "~3.1.1",
    "karma-coverage": "~2.0.3",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~4.0.2",
    "karma-jasmine-html-reporter": "^1.7.0",
    "lint-staged": "^13.2.3",
    "ts-node": "~8.3.0",
    "typescript": "^4.9.5",
    "zone.js": "^0.13.1"
  },
  "description": "WORLD'S FIRST and LARGEST Religious Social Networking Platform FOR JAINS",
  "lint-staged": {
    "src/**/*.{js,ts,html}": [
      "eslint --fix"
    ]
  }
}
